;; ======================================================================== ;;
;;  TEASER SCREEN                                                           ;;
;;                                                                          ;;
;;  The Teaser Edition limits the game to checkpoints A - J.  This screen   ;;
;;  informs the player about the upcoming cartridge release, etc.  and      ;;
;;  directs them to the website so they can find out more.                  ;;
;; ======================================================================== ;;

TEASER_END  PROC
            PSHR    R5

            CALL    CLRSCR

            CALL    LOADFONT
            DECLE   TEASEFNT

            JSRD    R5,     P16.FLS
            DECLE   C_TAN, $200
                    ;01234567890123456789
            S16     "   This ends the     Teaser Edition of                                                                                                       The full edition's   coming soon from     Left Turn Only:  "

            MVII    #gen_cstk_card(1, GRAM, White, NoAdv), R0
            MVII    #20,                R1
            MVII    #disp_ptr(11,0),    R4

@@loop:     MVO@    R0,     R4
            ADDI    #8,     R0
            DECR    R1
            BNEQ    @@loop

            SETISR  TEASEISR

            JSRE    R5,     WAIT
            DECLE   60

            CALL    MENUINP

            CALL    LOADFONT
            DECLE   FONT

            PULR    PC
            ENDP

TEASEISR    PROC
            MVII    #LMPTITLE,  R4
            MVII    #RGRAM,     R5

            MVII    #10*4,      R1
@@l0:       MVI@    R4,         R0
            MVO@    R0,         R5
            SWAP    R0
            MVO@    R0,         R5
            DECR    R1
            BNEQ    @@l0   

            MVII    #TITLESP,   R4
            CLRR    R5
            MVII    #5,         R2
            MOVR    R2,         R1
@@l1:       MVI@    R4,         R0
            MVO@    R0,         R5
            DECR    R1
            BNEQ    @@l1

            ADDI    #3,         R5
            MOVR    R2,         R1
@@l2:       MVI@    R4,         R0
            ADDI    #8,         R0
            MVO@    R0,         R5
            DECR    R1
            BNEQ    @@l2

            ADDI    #3,         R5
@@l3:       MVI@    R4,         R0
            MVO@    R0,         R5
            DECR    R2
            BNEQ    @@l3

            CLRR    R0
            MVO     R0,         $28
            MVO     R0,         $2C
            MVI     $21,        R0

            SETISR  MISCISR
            B       ISRRET
            ENDP

__
;* ======================================================================== *;
;*  This program is free software; you can redistribute it and/or modify    *;
;*  it under the terms of the GNU General Public License as published by    *;
;*  the Free Software Foundation; either version 2 of the License, or       *;
;*  (at your option) any later version.                                     *;
;*                                                                          *;
;*  This program is distributed in the hope that it will be useful,         *;
;*  but WITHOUT ANY WARRANTY; without even the implied warranty of          *;
;*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU       *;
;*  General Public License for more details.                                *;
;*                                                                          *;
;*  You should have received a copy of the GNU General Public License       *;
;*  along with this program; if not, write to the Free Software             *;
;*  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.               *;
;* ======================================================================== *;
;*                   Copyright (c) 2007, Joseph Zbiciak                     *;
;* ======================================================================== *;
_
